libdevice User's Guide (PDF) - v9.2.148 (older) - Last updated June 12, 2018 - Send Feedback

## 3.270. __nv_signbitf

Prototype:

    i32 @__nv_signbitf(float %x)

Description:

Determine whether the floating-point value `x` is negative.

Returns:

Returns a nonzero value if and only if `x` is negative. Reports the sign bit of all values including infinities, zeros, and NaNs.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes